ReflectionClass::getInterfaces
ReflectionClass::getMethods
ReflectionClass
PHP Manual

# ReflectionClass::getMethod

(PHP 5)

ReflectionClass::getMethod — Gets a ReflectionMethod for a class method.

### Description

public ReflectionMethod ReflectionClass::getMethod ( string `$name` )

Gets a ReflectionMethod for a class method.

### Parameters

`name`

  The method name to reflect.

### Return Values

A ReflectionMethod.

### Errors/Exceptions

A ReflectionException if the method does not exist.

### Examples

Example #1 Basic usage of ReflectionClass::getMethod()

`<?php
$class = new ReflectionClass('ReflectionClass');
$method = $class->getMethod('getMethod');
var_dump($method);
?>`

The above example will output:

    object(ReflectionMethod)#2 (2) {
      ["name"]=>
      string(9) "getMethod"
      ["class"]=>
      string(15) "ReflectionClass"
    }

### See Also

- ReflectionClass::getMethods() - Gets an array of methods

ReflectionClass::getInterfaces
ReflectionClass::getMethods
ReflectionClass
PHP Manual